package main

import (
	"framework/app/controllers/index"
	"github.com/gin-gonic/gin"
)

var (
	r *gin.Engine
)

func main() {
	gin.SetMode(gin.ReleaseMode)
	r = gin.Default()
	router := r.Group("/")
	router.GET("", index.IndexController{}.Main)
	router.GET("ajax", index.IndexController{}.Ajax)

	r.LoadHTMLGlob("views/**/**/*")
	err := r.Run(":9090")

	if err != nil {
		panic(err.Error())
	}
	select {}
}
